RAIDR/API Reference/Nodes

Get node

gethttp://127.0.0.1:8787/api/v1/nodes/{id}

Path parameters

idstring <uuid>Required

Node ID.

Response

200 · application/json

The node. Returns a Node object.

idstring <uuid>Required
deployment_idstring <uuid>Required
namestringRequired
rolestringRequired
Allowedcommandrelayteamsensorasset
latnumberRequired
lonnumberRequired
height_agl_mnumberOptional

Antenna height above ground level in metres.

radioobjectOptional

Frequency, bandwidth, transmit power, cable losses, antenna gains, noise figure, polarization, climate zone, atmospheric profile, rain rate, target availability, and optional target data rate.

pointingobjectOptional

Antenna azimuth and elevation in degrees.

Errors

404
Problem

Resource not found.